Separates a channel from the image

- « Gmagick::scaleimage

- Gmagick::setCompressionQuality »

- PHP Manual
- Gmagick
- Separates a channel from the image

# Gmagick::separateimagechannel

(PECL gmagick >= Unknown)

Gmagick::separateimagechannel — Separates a channel from the image

### Description

public Gmagick::separateimagechannel(int `$channel`): Gmagick

Separates a channel from the image and returns a grayscale image. A channel is a particular color component of each pixel in the image.

### Parameters

`channel`

  One of the Channel constant (`Gmagick::CHANNEL_*`).

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.